import java.awt.event.KeyEvent;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JSeparator;
/**/
public class MainMenu extends JMenu {
  /**/
  private JMenuItem help, about, newg, exit;
  /**/
  public MainMenu () {
    /**/
    super("File");
    setMnemonic(KeyEvent.VK_F);
    /**/
    help=new JMenuItem("Help");
    help.setMnemonic(KeyEvent.VK_H);
    add(help);
    /**/
    about=new JMenuItem("About");
    about.setMnemonic(KeyEvent.VK_A);
    add(about);
    /**/
    add( new JSeparator() );
    /**/
    newg=new JMenuItem("New Game");
    newg.setMnemonic(KeyEvent.VK_N);
    add(newg);
    /**/
    exit=new JMenuItem("Exit");
    exit.setMnemonic(KeyEvent.VK_X);
    add(exit);
  }
  /**/
  public JMenuItem getHelpItem () {
    return help;
  }
  /**/
  public JMenuItem getAboutItem () {
    return about;
  }
  /**/
  public JMenuItem getNewGameItem () {
    return newg;
  }
  /**/
  public JMenuItem getExitItem () {
    return exit;
  }
}
