import java.util.ArrayList;
/**/
public class DestinationDeck {
  /**/
  private int suit;
  private ArrayList<Card> deck;
  /**/
  public DestinationDeck ( int suit ) {
    /**/
    this.suit=suit;
    deck=new ArrayList<Card> ();
  }
  /**/
  public boolean isEmpty () {
    return deck.isEmpty();
  }
  /**/
  public boolean isFull () {
    if ( deck.size() == 13 ) return true;
    else                     return false;
  }
  /**/
  public void add ( Card c ) {
    deck.add(c);
  }
  /**/
  public boolean canRemove () {
    /**/
    if ( isEmpty() ) return false;
    else             return true;
  }
  /**/
  public Card remove () {
    /**/
    int last;
    /**/
    last=deck.size()-1;
    return deck.remove(last);
  }
  /**/
  public boolean canAdd ( Card c ) {
    /**/
    int addSuit, addValue, lastValue, diff;
    Card lastCard;
    /**/
    if ( isFull() ) return false;
    /**/
    addSuit=c.getSuit();
    if ( addSuit != suit ) return false;
    /**/
    addValue=c.getValue();
    /**/
    if ( isEmpty() ) {
      if ( addValue == 1 ) return true;
      else                 return false;
    }
    else {
      lastCard=getLastCard();
      lastValue=lastCard.getValue();
      diff=addValue-lastValue;
      if ( diff == 1 ) return true;
      else             return false;
    }
  }
  /**/
  public Card getLastCard () {
    /**/
    int last;
    /**/
    last=deck.size()-1;
    return deck.get(last);
  }
  /**/
  public boolean containsAce () {
    if ( deck.size() > 0 ) return true;
    else                   return false;
  }
}
