import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import javax.swing.JPanel;
/**/
public class MainPanel extends JPanel {
  /**/
  public MainPanel ( DestinationDeckPanel ddp, PlayDeckPanel pdp, ColumnDecksPanel cdp ) {
    /**/
    super();
    setFocusable(false);
    /**/
    init(ddp,pdp,cdp);
  }
  /**/
  private void init ( DestinationDeckPanel ddp, PlayDeckPanel pdp, ColumnDecksPanel cdp ) {
    /**/
    GridBagLayout gbl;
    int gridx, gridy, gridwidth, gridheight, anchor, fill, ipadx, ipady;
    Insets insets;
    double weightx, weighty;
    /**/
    gbl=new GridBagLayout();
    setLayout(gbl);
    /**/
    fill=GridBagConstraints.NONE;  ipadx=0;  ipady=0;
    insets=new Insets(5,5,5,5);
    /*
     *  ddp
     */
    gridx=0;  gridy=0;  gridwidth=1;  gridheight=1;
    anchor=GridBagConstraints.SOUTHWEST;
    weightx=0.5;  weighty=0.5;
    gbl.setConstraints(ddp,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(ddp);
    /*
     *  pdp
     */
    gridx=1;  gridy=0;  gridwidth=1;  gridheight=1;
    anchor=GridBagConstraints.NORTHEAST;
    weightx=0.5;  weighty=0.5;
    gbl.setConstraints(pdp,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(pdp);
    /*
     *  cdp
     */
    gridx=0;  gridy=1;  gridwidth=2;  gridheight=1;
    anchor=GridBagConstraints.NORTH;
    weightx=1.0;  weighty=0.5;
    gbl.setConstraints(cdp,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(cdp);
    /**/
    return;
  }
}
